Bug 432892 - font dropdown doesn't work
font dropdown doesn't work
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-14 17:49 EST by Máirín Duffy
Modified: 2009-04-17 09:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-30 07:16:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screencast demonstrating how you can't change fonts with the dropdown toolbar (951.75 KB, application/ogg)
2008-02-14 17:49 EST, Máirín Duffy
no flags Details

  None (edit)
Description Máirín Duffy 2008-02-14 17:49:06 EST
Description of problem:

(https://admin.fedoraproject.org/updates/F8/pending/inkscape-0.45.1+0.46pre1-4.fc8)

In inkscape-0.45.1+0.46pre1-4.fc8, if you type text and try to switch using the
text tool's toolbar drop down to switch fonts (it will open when you hit f8),
the fonts won't ever switch. they are stuck on bitstream vera sans. If you use
the pop up fonts dialog though (shift+ctrl+t) that will work. But the toolbar is
far more convenient.

Attaching an ogg screencast of the issue.
Comment 1 Máirín Duffy 2008-02-14 17:49:06 EST
Created attachment 294955 [details]
screencast demonstrating how you can't change fonts with the dropdown toolbar
Comment 2 Nicu Buculei 2008-02-15 06:04:22 EST
And a screencast showing the font selector working as expected on my system:
Fedora 8 with all updates and the Inkscape build mentioned in the bug report -
http://fedora.nicubunu.ro/inkscape_fonts.ogg
Comment 3 Lubomir Kundrak 2008-02-15 09:01:01 EST
Nicu: Thanks. May I ask -- did you press enter after picking the font or did the
drop down menu disappear when you clicked the font? Please try choosing the text
tool using F8 -- does the warning icon appear next to the font name picker?
Comment 4 Nicu Buculei 2008-02-15 09:17:00 EST
I have NOT pressed enter: I select the new font from the drop down menu and is
applied instantly, is enough to click anywhere else to get the drop down closed
(or, as I use "select windows when the mouse moves over them" in Metacity, to
move the mouse away).

Pressing F8 the warning icon *does* appear.
Comment 5 Lubomir Kundrak 2008-02-16 09:20:10 EST
Upstream spent some effort to fix these -- the patch is integrated in
inkscape-0.45.1+0.46pre1-5.fc8. Could you please retest once it builds?

I noticed just two very minor issues unfixed -- the warning icon and the fact
that Fixed font cannot be used though it is present in the menu.
Comment 6 D Haley 2009-04-17 09:19:02 EDT
I am experiencing this problem under F10:

$inkscape -version
Inkscape 0.46 (Jan 13 2009)

$rpm -q
inkscape-0.46-6.fc10.1.i386
Comment 7 Lubomir Rintel 2009-04-17 09:30:22 EDT
(In reply to comment #6)
> I am experiencing this problem under F10:

Upstream is currently reworking the font picker, unfortunately it probably won't be done until f11.

The strange behaviour is generally observed when attempting to pick a bitmap font, which won't be of much use anyway.

Note You need to log in before you can comment on or make changes to this bug.